Package twisted :: Package protocols :: Module htb :: Class FilterByHost

[frames | no frames]

## Class FilterByHost

    HierarchicalBucketFilter --+
                               |
                              FilterByHost

A bucket filter with a bucket for each host.

Method Summary
| `getBucketKey(self, transport)`
Inherited from HierarchicalBucketFilter
| ``__init__`(self, parentFilter)`
`Bucket` | ``getBucketFor`(self, *a, **kw)` You want a bucket for that? I'll give you a bucket.
| ``sweep`(self)` I throw away references to empty buckets.

Class Variable Summary
int | `sweepInterval`: Seconds between sweeping out the bucket cache.
Inherited from HierarchicalBucketFilter
`tuple` | `__implements__` = `(<class twisted.protocols.htb.IBucketFi...`

Class Variable Details

### sweepInterval

Seconds between sweeping out the bucket cache.

  Type:
    int
  Value:

        1200

Generated by Epydoc 2.0 on Sat May 15 20:08:04 2004 | http://epydoc.sf.net